Issue during Redmine installation

Added by Anirudha Biswas almost 5 years ago

We have a Redmine instance on the centos 7 server with Bitnami. I am getting following error during installation of an another Redmine instance.

Command Used: [root@localhost htdocs]# bundle install --without development test

Error Message: An error occurred while installing mysql2 (0.3.21), and Bundler cannot continue. Make sure that gem install mysql2 -v '0.3.21' succeeds before bundling.

1.png - Error in terminal (569 KB)

2.png - Error in terminal (440 KB)

Replies (4)

RE: Issue during Redmine installation - Added by Anirudha Biswas almost 5 years ago

We have already 1 instance installed on the server. So we have the installed mysql already. And if you again use the following command

[root@localhost htdocs]# yum install mysql-devel
Failed to set locale, defaulting to C
Loaded plugins: fastestmirror
base | 3.6 kB 00:00:00
epel/x86_64/metalink | 25 kB 00:00:00
epel | 4.3 kB 00:00:00
extras | 3.4 kB 00:00:00
updates | 3.4 kB 00:00:00
(1/2): epel/x86_64/updateinfo | 669 kB 00:00:00
(2/2): epel/x86_64/primary_db | 4.3 MB 00:00:00
Loading mirror speeds from cached hostfile * base: mirror.airenetworks.es * epel: mirror.airenetworks.es * extras: mirror.airenetworks.es * updates: mirror.airenetworks.es
Package 1:mariadb-devel-5.5.50-1.el7_2.x86_64 already installed and latest version
Nothing to do

RE: Issue during Redmine installation - Added by Leonel Iturralde almost 5 years ago

Sorry for super late reply.

I thought it was a problem of the library not being there. But if you already have a running instance of redmine that is not the problem.

(1-4/4)